Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.utilities
Class Base64

    java.lang.Object
      |
      +--com.autonomy.utilities.Base64

public class Base64
extends java.lang.Object

Encodes and decodes to and from Base64 notation. I am placing this code in the Public Domain. Do with it as you will. This software comes with no guarantees or warranties but with plenty of well-wishing instead! Please visit http://iharder.net/xmlizable periodically to check for updates or to contribute improvements.

Nested Class Summary
`static class` | `Base64.InputStream` A `Base64#InputStream` will read data from another `InputStream`, given in the constructor, and encode/decode to/from Base64 notation on the fly.
`static class` | `Base64.OutputStream` A `Base64#OutputStream` will write data to another `OutputStream`, given in the constructor, and encode/decode to/from Base64 notation on the fly.

Field Summary
`static boolean` | `DECODE` Specify decoding (value is `false`).
`static boolean` | `ENCODE` Specify encoding (value is `true`).

Method Summary
`static byte[]` | `decode(byte[] source, int off, int len)` Decodes Base64 content in byte array format and returns the decoded byte array.
`static byte[]` | `decode(java.lang.String s)` Decodes data from Base64 notation.
`static java.lang.Object` | `decodeToObject(java.lang.String encodedObject)` Attempts to decode Base64 data and deserialize a Java Object within.
`static java.lang.String` | `decodeToString(java.lang.String s)` Decodes data from Base64 notation and returns it as a string.
`static java.lang.String` | `encodeBytes(byte[] source)` Encodes a byte array into Base64 notation.
`static java.lang.String` | `encodeBytes(byte[] source, boolean breakLines)` Encodes a byte array into Base64 notation.
`static java.lang.String` | `encodeBytes(byte[] source, int off, int len)` Encodes a byte array into Base64 notation.
`static java.lang.String` | `encodeBytes(byte[] source, int off, int len, boolean breakLines)` Encodes a byte array into Base64 notation.
`static java.lang.String` | `encodeObject(java.io.Serializable serializableObject)` Serializes an object and returns the Base64-encoded version of that serialized object.
`static java.lang.String` | `encodeObject(java.io.Serializable serializableObject, boolean breakLines)` Serializes an object and returns the Base64-encoded version of that serialized object.
`static java.lang.String` | `encodeString(java.lang.String s)` Encodes a string in Base64 notation with line breaks after every 75 Base64 characters.
`static java.lang.String` | `encodeString(java.lang.String s, boolean breakLines)` Encodes a string in Base64 notation with line breaks after every 75 Base64 characters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCODE

    public static final boolean ENCODE

  Specify encoding (value is `true`).

  See Also:
    Constant Field Values

### DECODE

    public static final boolean DECODE

  Specify decoding (value is `false`).

  See Also:
    Constant Field Values

Method Detail

### encodeObject

    public static java.lang.String encodeObject(java.io.Serializable serializableObject)

  Serializes an object and returns the Base64-encoded version of that serialized object. If the object cannot be serialized or there is another error, the method will return `null`.

  Parameters:
    `serializableObject` - The object to encode
  Returns:
    The Base64-encoded object
  Since:
    1.4

### encodeObject

    public static java.lang.String encodeObject(java.io.Serializable serializableObject,
                                                boolean breakLines)

  Serializes an object and returns the Base64-encoded version of that serialized object. If the object cannot be serialized or there is another error, the method will return `null`.

  Parameters:
    `serializableObject` - The object to encode
    `breakLines` - Break lines at 80 characters or less.
  Returns:
    The Base64-encoded object
  Since:
    1.4

### encodeBytes

    public static java.lang.String encodeBytes(byte[] source)

  Encodes a byte array into Base64 notation. Equivalen to calling `encodeBytes( source, 0, source.length )`

  Parameters:
    `source` - The data to convert
  Since:
    1.4

### encodeBytes

    public static java.lang.String encodeBytes(byte[] source,
                                               boolean breakLines)

  Encodes a byte array into Base64 notation. Equivalen to calling `encodeBytes( source, 0, source.length )`

  Parameters:
    `source` - The data to convert
    `breakLines` - Break lines at 80 characters or less.
  Since:
    1.4

### encodeBytes

    public static java.lang.String encodeBytes(byte[] source,
                                               int off,
                                               int len)

  Encodes a byte array into Base64 notation.

  Parameters:
    `source` - The data to convert
    `off` - Offset in array where conversion should begin
    `len` - Length of data to convert
  Since:
    1.4

### encodeBytes

    public static java.lang.String encodeBytes(byte[] source,
                                               int off,
                                               int len,
                                               boolean breakLines)

  Encodes a byte array into Base64 notation.

  Parameters:
    `source` - The data to convert
    `off` - Offset in array where conversion should begin
    `len` - Length of data to convert
    `breakLines` - Break lines at 80 characters or less.
  Since:
    1.4

### encodeString

    public static java.lang.String encodeString(java.lang.String s)

  Encodes a string in Base64 notation with line breaks after every 75 Base64 characters.

  Parameters:
    `s` - the string to encode
  Returns:
    the encoded string
  Since:
    1.3

### encodeString

    public static java.lang.String encodeString(java.lang.String s,
                                                boolean breakLines)

  Encodes a string in Base64 notation with line breaks after every 75 Base64 characters.

  Parameters:
    `s` - the string to encode
    `breakLines` - Break lines at 80 characters or less.
  Returns:
    the encoded string
  Since:
    1.3

### decode

    public static byte[] decode(java.lang.String s)

  Decodes data from Base64 notation.

  Parameters:
    `s` - the string to decode
  Returns:
    the decoded data
  Since:
    1.4

### decodeToString

    public static java.lang.String decodeToString(java.lang.String s)

  Decodes data from Base64 notation and returns it as a string. Equivlaent to calling `new String( decode( s ) )`

  Parameters:
    `s` - the strind to decode
  Returns:
    The data as a string
  Since:
    1.4

### decodeToObject

    public static java.lang.Object decodeToObject(java.lang.String encodedObject)

  Attempts to decode Base64 data and deserialize a Java Object within. Returns `null if there was an error.

  `
  Parameters:
    `encodedObject` - The Base64 data to decode
  Returns:
    The decoded and deserialized object
  Since:
    1.4

### decode

    public static byte[] decode(byte[] source,
                                int off,
                                int len)

  Decodes Base64 content in byte array format and returns the decoded byte array.

  Parameters:
    `source` - The Base64 encoded data
    `off` - The offset of where to begin decoding
    `len` - The length of characters to decode
  Returns:
    decoded data
  Since:
    1.3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD